This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 890828 - Review Request: perl-Math-Expression-Evaluator - Parses, compiles and evaluates mathematics expressions
Review Request: perl-Math-Expression-Evaluator - Parses, compiles and evaluat...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 890833
  Show dependency treegraph
 
Reported: 2012-12-30 09:16 EST by Miro Hrončok
Modified: 2013-01-24 16:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-24 16:49:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tchollingsworth: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-12-30 09:16:37 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-Expression-Evaluator.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-Expression-Evaluator-0.3.2-3.fc17.src.rpm

Description:
Math::Expression::Evaluator is a parser, compiler and interpreter for
mathematical expressions. It can handle normal arithmetic (including
powers wit ^ or **), built-in functions like sin() and variables.

Fedora Account System Username: churchyard
Comment 1 T.C. Hollingsworth 2013-01-11 19:48:28 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

Resolution: APPROVED


=== Suggestions ===

- Consider asking upstream to include a LICENSE file.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/fedora/patches/890828-perl-Math-Expression-
     Evaluator/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Reguires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (Math-Expression-Evaluator-v0.3.2.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: perl-Math-Expression-Evaluator-0.3.2-3.fc19.src.rpm
          perl-Math-Expression-Evaluator-0.3.2-3.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Math-Expression-Evaluator
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Math-Expression-Evaluator-0.3.2-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    perl(:MODULE_COMPAT_5.16.2)
    perl(Carp)
    perl(Data::Dumper)
    perl(Exporter)
    perl(Math::Expression::Evaluator::Lexer)
    perl(Math::Expression::Evaluator::Parser)
    perl(Math::Expression::Evaluator::Util)
    perl(Math::Trig)
    perl(POSIX)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Math-Expression-Evaluator-0.3.2-3.fc19.noarch.rpm:
    
    perl(Math::Expression::Evaluator) = 0.3.2
    perl(Math::Expression::Evaluator::Lexer)
    perl(Math::Expression::Evaluator::Optimizer)
    perl(Math::Expression::Evaluator::Parser)
    perl(Math::Expression::Evaluator::Util)
    perl-Math-Expression-Evaluator = 0.3.2-3.fc19



MD5-sum check
-------------
http://www.cpan.org/authors/id/M/MO/MORITZ/Math-Expression-Evaluator-v0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 21b03869abd963be14c1acd1df824a22ba3a1f8e2a3fd8bd6fe1e6997472886a
  CHECKSUM(SHA256) upstream package : 21b03869abd963be14c1acd1df824a22ba3a1f8e2a3fd8bd6fe1e6997472886a


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b890828
Comment 2 Miro Hrončok 2013-01-12 12:02:28 EST
New Package SCM Request
=======================
Package Name: perl-Math-Expression-Evaluator
Short Description: Parses, compiles and evaluates mathematics expressions
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 3 Jon Ciesla 2013-01-12 19:57:10 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-01-13 16:23:54 EST
perl-Math-Expression-Evaluator-0.3.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Math-Expression-Evaluator-0.3.2-3.fc17
Comment 5 Fedora Update System 2013-01-13 16:24:41 EST
perl-Math-Expression-Evaluator-0.3.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Math-Expression-Evaluator-0.3.2-3.fc18
Comment 6 Fedora Update System 2013-01-14 21:20:39 EST
perl-Math-Expression-Evaluator-0.3.2-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2013-01-24 16:49:30 EST
perl-Math-Expression-Evaluator-0.3.2-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Fedora Update System 2013-01-24 16:52:35 EST
perl-Math-Expression-Evaluator-0.3.2-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.